<?php
/**
 * Thumbnails configuration.
 *
 * @package winedine
 */

add_action( 'after_setup_theme', 'winedine_register_image_sizes', 5 );
function winedine_register_image_sizes() {
	set_post_thumbnail_size( 370, 265, true );

	// Registers a new image sizes.
	add_image_size( 'winedine-thumb-s', 150, 85, true );
	add_image_size( 'winedine-thumb-s-2', 230, 230, true );
	add_image_size( 'winedine-thumb-m', 400, 400, true );
	add_image_size( 'winedine-thumb-m-vertical', 370, 500, true );
	add_image_size( 'winedine-thumb-m-2', 570, 450, true );
	add_image_size( 'winedine-thumb-l', 1170, 650, true );
	add_image_size( 'winedine-thumb-xl', 1920, 1080, true );
	add_image_size( 'winedine-thumb-masonry', 600, 999, false );
	add_image_size( 'winedine-thumb-justify', 640, 640, true );
	add_image_size( 'winedine-thumb-justify-2', 1280, 640, true );
}